#
# spec file for package python-daiquiri
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-daiquiri
Version:        2.1.1
Release:        bp155.2.10
Summary:        Library to configure Python logging
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/jd/daiquiri
Source:         https://files.pythonhosted.org/packages/source/d/daiquiri/daiquiri-%{version}.tar.gz
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module python-json-logger}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-python-json-logger
BuildArch:      noarch
%python_subpackages

%description
The daiquiri library provides a way to configure logging. It also
provides some custom formatters and handlers.

%prep
%setup -q -n daiquiri-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest daiquiri/tests

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Thu Apr  2 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 2.1.1
  * Add missing Python 3.8 to setup, tox and Mergify
  * build(setup): replace pbr by setuptools_scm
  * Parameterizes overwriting `sys.excepthook` to allow it to be turned
    off in environments where a different excepthook is needed.
  * fix(journal): handle extra keys correctly
* Fri Sep 13 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.6.0:
  * Fix getLogger when called twice and passing different extras
* Mon Apr  8 2019 Thomas Bechtold <tbechtold@suse.com>
- Do not use %%pytest to fix build with SLE12_SP4
* Thu Mar  7 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.5.0:
  * Support for python 3.7
  * Many Mergify fixes
  * Use pytests for testing
  * formatter: enable extra keywords by default
  * Fix JSON encoding with extra keys
  * Add tests for color and extras formatters
  * Add formatter.ExtrasFormatter and formatter.ColorExtrasFormatter
  * Add KeywordArgumentAdapter.setLevel method for Python 2
  * Many flake8 fixes
- Make sure tests are executed
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Tue Aug  8 2017 jengelh@inai.de
- Use slightly longer description from README.rst.
  Drop subjective wording.
* Tue Aug  8 2017 tbechtold@suse.com
- fix Requires
* Fri Jul 28 2017 tbechtold@suse.com
- Initial packaging (version 1.2.1)
